//const UglifyJsPlugin = require('uglifyjs-webpack-plugin') // //const UglifyJsPlugin = require('uglifyjs-webpack-plugin') // 去掉注释

//const isProduction = process.env.NODE_ENV === 'production';//是否是生产环境
const defaultSettings = require('./src/settings.js')
const port = process.env.port || process.env.npm_config_port || 80 // 端口






module.exports={
    publicPath: '/',
    // 在npm run build 或 yarn build 时 ，生成文件的目录名称（要和baseUrl的生产环境路径一致）（默认dist）
    outputDir: 'dist',
    // 用于放置生成的静态资源 (js、css、img、fonts) 的；（项目打包之后，静态资源会放在这个文件夹下）
    assetsDir: 'static',
    // 是否开启eslint保存检测，有效值：ture | false | 'error'
    lintOnSave: false, // 关闭eslint
    // 如果你不需要生产环境的 source map，可以将其设置为 false 以加速生产环境构建。
    productionSourceMap:false,
    css:{
        loaderOptions: {
            less: {
                lessOptions:{
                    javascriptEnabled: true
                }
                }
            }
          
    },
	devServer: {
		  host: '0.0.0.0',
		  port: port,
		  open: true,
		  proxy: {
			[process.env.VUE_APP_BASE_API]: {
			  target: defaultSettings.urls,
			  changeOrigin: true,
			  pathRewrite: {
			    ['^' + process.env.VUE_APP_BASE_API]: ''
			  }
			},
			'^/v3/api-docs/(.*)': {
			  target: defaultSettings.urls,
			  changeOrigin: true
			}
		  },
		  disableHostCheck: true
	},
}
